Package org.python.core

# Class WrappedIterIterator<E>

java.lang.Object
org.python.core.WrappedIterIterator<E>

All Implemented Interfaces:
  `Iterator<E>`

public abstract class WrappedIterIterator<E> extends Object implements Iterator<E>
Exposes a Python iter as a Java Iterator.

## Constructor Summary

Constructors
Constructor
Description
`WrappedIterIterator(PyObject iter)`

## Method Summary

Modifier and Type
Method
Description
`PyObject`
`getNext()`
`boolean`
`hasNext()`
`abstract E`
`next()`
Subclasses must implement this to turn the type returned by the iter to the type expected by Java.
`void`
`remove()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### WrappedIterIterator

public WrappedIterIterator(PyObject iter)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`

### next

public abstract E next()
Subclasses must implement this to turn the type returned by the iter to the type expected by Java.

Specified by:
  `next` in interface `Iterator<E>`

### getNext

public PyObject getNext()

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<E>`